<?php
/*
 * user_role.php
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

include ("include/header_info.php");
include ("include/functions_common.php");

/*		Manage Validators
 *
 *	This page is used to give Validator privileges to regular user or strip any Validator off his privileges.
 * Only an Administrator can acces this page.
 *
 *									AUTHOR: Khader Abbeb N
 */

if($_SESSION['user_role']!="administrator")
{
?>
	<h2>Unauthorized Access!!!</h2><br /><hr>
  	You are trying to access restricted content. Your access has been logged.<br />
  	If you have reached this page by mistake, kindly close this window.<br /><br />
  	<pre>Administrator</pre>
<?php
}
else
{
	$user_validation_err	= 0;
	$skip_validator_form	= 0;
	include ("head.php");
?>
<script type="text/javascript">
<!--
	function valCancel()
	{
	   window.location="user_role.php"; 
	}
// -->
</script>

<style type="text/css">
<!--
.warning{
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	text-align: center;
	color: red;
}
// -->
</style>

<?php
	include ("body.php");
?>

	   <ul id="navibar">
		<li class="wikilink"><a href="main.php">Home</a></li>
		<li class="wikilink"><a href="list.php?category=untrans&amp;page=1">Untranslated Strings</a></li>
		<li class="current"><a href="user_role.php">Manage Validators</a></li>
		<li class="wikilink"><a href="help.php">Help</a></li>
	   </ul>

	<div id="pageline"><hr style="display:none;"></div>
	
	</div>
	<!-- End of Div started in "body.php" -->
	<div id="page">

<?php

	if ($_POST["sub_validator"])	// Give or Remove  Validator privileges for a user
	{
	    $val_name		= $_POST["val_name"];	// User name
	    $rem_val		= $_POST["rem_val"];	// Remove Validator Privileges
            $db			= dbConnect();

	    $sql_user		= "select role, mail_id from $table_user_details where user_name = '$val_name'";
	    $result_user	= mysql_query($sql_user);

	    if (@mysql_num_rows($result_user))
	    {
		$role		= strtolower(mysql_result($result_user,0,0));
		$email_id	= strtolower(mysql_result($result_user,0,1));
		if ($role == "validator" && !$rem_val)//Trying to give a Validator privileges to an existing Validator
		{
		    $user_validation_err 	= 1;
		    $error_message	 	= "The user already has 'Validator' privileges.";
		}
		else if($role !="validator" && $rem_val)
		{
		    $remove_validation_err	= 1;
		    $rem_error_message		= "The user is not a Validator";
		}
		else
		{
		
?>
		    <div style="text-align:center;padding:10px">
		    &nbsp;&nbsp;&nbsp;&nbsp;
<?php
					// Confirm Validation Form
			$disabled = "";
			
		    if($rem_val)
		    {
			echo "You have opted to remove the Validator privilege for the following user ".
		    	     "Please confirm your action.";
		    }
		    else
		    {
		    	echo "You have selected the following user to become a Validator. ".
		    	     "Please confirm your action.";
		    }
?>
		    </div>
		    <div class="warning">
<?php			if($role=="administrator")
			{
			    echo "Warning : This user is an Administrator. ".
			    "Administrative privileges can't be changed.";
//				 "This user will lose his Administrative privileges if any changes are made";				
			    
			    $disabled = "disabled";
			}
?>
		    </div>
		    <form name="confirm_validator" method="POST" action="">
			<table align="center"  class="tdborder" width="400" cellpadding=5>
			    <tr>
				<td align="left" >Login Name &nbsp;</td>
				<td align="left" class="tdleft"><?php echo $val_name; ?></td>
			    </tr>
			    <tr>
				<td  >&nbsp;</td>
				<td  class="tdleft">&nbsp;</td>
			    </tr>
			    <tr>
				<td align="left" >Email Id &nbsp;</td>
				<td align="left" class="tdleft"><?php 	if($email_id) echo $email_id; 
							else echo "N/A"; ?></td>
			    </tr>
			    <tr>
				<td  >&nbsp;</td>
				<td  class="tdleft">&nbsp;</td>
			    </tr>
			    <tr class="tdfoot">
				<td>&nbsp;
				    <input type="hidden" name="val_name" value="<?php echo $val_name; ?>">
				    <input type="hidden" name="rem_val" value="<?php echo $rem_val; ?>"></td>
				<td align="right">
				    <input type="button" name="cancel" value="Cancel" onClick="valCancel();">
				    &nbsp;&nbsp;&nbsp;&nbsp;
				    <input type="submit" name="confirm" value="Confirm" <?php echo $disabled?>></td>
			    </tr>
			</table>
		    </form>
            <script type="text/javascript">
            <!--
                document.confirm_validator.confirm.focus();
                if(document.confirm_validator.confirm.disabled==true)
                    document.confirm_validator.cancel.focus();                
            //-->
            </script>

<?php
		}

		mysql_close($db);
	    }
	    else
	    {
		if ($rem_val)
		{
		    $remove_validation_err 	= 1;
		    $rem_error_message 	 	= "User does not exist";
		}
		else
		{
		    $user_validation_err 	= 1;
		    $error_message		= "User does not exist";
		}

	    }
	}

	if ($_POST["confirm"])	// Confirm Validation
	{
	    $val_name		= $_POST["val_name"];
	    $rem_val		= $_POST["rem_val"];
	    $db			= dbConnect();

	    if($rem_val)
	    {
		$sql_validator	= "update $table_user_details set role='translator' ".
				  "where user_name='$val_name'";
	    }
	    else
	    {
	    	$sql_validator	= "update $table_user_details set role='validator' ".
				  "where user_name='$val_name'";
	    }
	    if(mysql_query($sql_validator))
	    {
	    	echo "<div style=\"text-align:center\">".
		     "User: <b>$val_name</b>'s privileges has been changed</div>";
	    }
	    else
	    {
		echo "<div class=\"warning\">Error processing request. Try again later</div>";
	    }
	    mysql_close($db);
	    $skip_validator_form	= 1;
	}

	if((!$_POST["sub_validator"] || $user_validation_err || $remove_validation_err) && !$skip_validator_form)
	{
?>
	    <h4> Create Validator</h4><br />
	    <p align="justify">
		&nbsp;&nbsp;&nbsp;&nbsp;
		Please enter the <b>Login name</b> of the user to who you would like to give '<i>Validator</i>' privileges. 
		This user must be an existing user. 
		If the user does not exists please create a Login account by clicking on the 
		<a href="register.php">Register</a> link and then give that user '<i>Validator</i>' privileges.  
	    </p>
	    <form name="create_validator" method="POST" action="">
		<table 	align="center" >
		    <tr >
			<td colspan="3" align="center">
<?php
			    if($user_validation_err)
			    {
				echo "<span class=\"warning\">$error_message </span>";
			    }
?>
			    &nbsp;</td>
		    </tr>
		    <tr>
			<td > Login Name &nbsp;</td>
			<td> <input type="text" name="val_name"></td>
			<td align="center" >&nbsp;<input type="submit" name="sub_validator" value="Submit"></td>
		    </tr>
		</table>
	    </form>
	    <hr />
	    <h4> Remove Validator</h4><br />
	    <p align="justify">
		&nbsp;&nbsp;&nbsp;&nbsp;
		Please enter the <b>Login name</b> of the user whose '<i>Validator</i>' privileges should be removed.
		This user must be an existing user with Validator privileges. 
	    </p>
	    <form name="rem_validator" method="POST" action="">
		<table 	align="center" >
		    <tr >
			<td colspan="3" align="center">
<?php
			    if($remove_validation_err)
			    {
				echo "<span class=\"warning\">$rem_error_message </span>";
			    }
?>
			    &nbsp;</td>
		    </tr>
		    <tr>
			<td > Login Name &nbsp;</td>
			<td> <input type="text" name="val_name"></td>
			<td align="center" >&nbsp;
				<input type="hidden" name="rem_val" value="yes">
				<input type="submit" name="sub_validator" value="Submit"></td>
		    </tr>
		</table>
	    </form>
        <script type="text/javascript">
        <!--
            document.create_validator.val_name.focus();
<?php
		    if($remove_validation_err) {
		        echo "document.rem_validator.val_name.focus();";
		    }
?>            
        //-->
        </script>

<?php
	}
?>


</div>

<?php
include("footer.php");
}
?>
