<?php
/*
 * poll.php
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

include ("include/header_info.php");
include_once ('include/functions_stat.php');
include ("include/functions_common.php");

ini_set('arg_seperator.output','&amp;');

/*	This page provides additional details for a particular sting like the different contexts for the string,
 * all the user suggestion for each context, the number of votes for each suggestion and also the indicates the 
 * suggestion that is currently valid.
 *
 *									AUTHOR : Khader Abbeb N
 */

$string_id	    = $_GET["sid"];
$sql_string	    = "select string_value from $table_string_list where string_id=$string_id";
$sql_context	= "select c.context_id, c.context, c.file_id, c.valid_sug_id, s.user_suggestion ".
                  "from $table_string_context as c, $table_suggestion as s ".
                  "where s.sug_id = c.valid_sug_id and c.string_id=$string_id";

$sql_poll	    = "select sug_id, user_suggestion, vote from $table_suggestion ".
		          "where string_id=$string_id ";
$sql_valid	    = "select valid_sug_id from $table_string_context ".
		          "where context_id=$context_id";

$db		= dbConnect();

$result_string	= mysql_query($sql_string);
$result_context	= mysql_query($sql_context);
$result_poll  	= mysql_query($sql_poll);
$result_valid 	= mysql_query($sql_valid);
$string_value	= mysql_result($result_string,0,"string_value");

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Poll Results</title>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8">
<SCRIPT TYPE="text/javascript">
<!--
window.focus();

function targetopener(mylink, closeme, closeonly)
{
	if (! (window.focus && window.opener))return true;
		window.opener.focus();
	if (! closeonly)window.opener.location.href=mylink.href;
	if (closeme)window.close();
		return false;
}


// -->
</SCRIPT>
<style type="text/css">
.tdborder td{
    padding: 5px;
}
</style>
<link rel="stylesheet" type="text/css" charset="utf-8" media="all" href="css/common.css">
<link rel="stylesheet" type="text/css" charset="utf-8" media="screen" href="css/screen.css">
</head>

<body>
<center>
<table class="tdborder" border="1" width="100%">
	<tr>
	    <td width="15%"><b>String to be translated</b></td>
	    <td colspan=2 align="center" >
		<?php echo htmlentities($string_value,ENT_COMPAT,'UTF-8'); ?>
	</tr>
	<tr bgcolor="#ffc6b8" >
	   <td width="15%"><b>File </b></td>
	   <td width="55%"><b>Context </b></td>
	   <td width="30%"><b>Valid Suggestion </b></td>
	</tr>
<?php
	while($array_context = mysql_fetch_array($result_context))
	{
	    $context 		= $array_context["context"];
        $valid_sug_id	= $array_context["valid_sug_id"];
        $temp_valid_sug = $array_context["user_suggestion"];
	    $valid_sug	    = ($valid_sug_id == -1)?"None":$temp_valid_sug;
	    $context_id		= $array_context["context_id"];
	    $file_name		= getNodeName($array_context["file_id"]);
?>
	    <tr bgcolor="#b8ddff">
		<td > <?php echo $file_name; ?>      </td> 
		<td > <?php echo $context; ?>      </td> 
		<td > <?php echo $valid_sug; ?> </td> 

	    </tr>
<?php
	}

/*	    if ($valid_sug_id)
	    {
		$sql_valid_sug		= "select user_suggestion from $table_suggestion ".
					  "where sug_id=$valid_sug_id";
		$result_valid_sug	= mysql_query($sql_valid_sug);
		$valid_sug		= mysql_result($result_valid_sug,0,0);
	    }
*/
?>

	    <tr bgcolor="#ffc6b8" >
		<td colspan="2"><b> User Suggestions     </b> </td> 
		<td ><b> Vote 		</b></td> 
	    </tr>
<?php
	    $sug_exist	  = 0;

	    while($array_poll = mysql_fetch_array($result_poll))
	    {
		$sug_id		 = $array_poll["sug_id"];
		$user_suggestion = htmlentities($array_poll["user_suggestion"], ENT_COMPAT,'UTF-8') ;
		$vote		 = $array_poll["vote"];

		$sug_exist	 = 1;
?>
		<tr bgcolor="#faffb6">
		    <td colspan="2"> <?php echo $user_suggestion; ?>      </td> 
		    <td > <?php echo $vote; ?> </td> 
		</tr>

<?php	    }  
	    if(!$sug_exist)
		echo "<tr><td colspan=\"3\" bgcolor=\"#faffb6\"><i>No Suggestion available for this context</i></td></tr>";
?>

</table>
<a href="main.php" onClick="return targetopener(this,true,true)">Close</a></center>
<table border=0 align="left">
<tr><td colspan="5" align="left"><b> Legends </b></td></tr>
<tr><td width="20" height="20" bgcolor="#b8ddff">&nbsp;</td>
    <td width="100">Context</td>
    <td width="5">&nbsp;</td>
    <td width="20" height="20" bgcolor="#faffb6">&nbsp;</td>
    <td width="150">User Suggestions</td>
</tr>
<!--
<tr><td width="20" height="20" align="center" bgcolor="#fffff"><img src="images/valid.png" alt="valid">
    </td><td width="300">Currently Valid Suggestion</td></tr> -->
</table>
</body>
</html>
